org_kde_kwin_server_decoration_listener Struct Reference
The org_kde_kwin_server_decoration interface

`#include <org-kde-kwin-server-decoration-manager-client-protocol.h>`

## Data Fields

void(* | mode )(void *data, struct org_kde_kwin_server_decoration *org_kde_kwin_server_decoration, uint32_t mode)

## Detailed Description

Definition at line 218 of file org-kde-kwin-server-decoration-manager-client-protocol.h.

## Field Documentation

## mode

void(* org_kde_kwin_server_decoration_listener::mode) (void *data, struct org_kde_kwin_server_decoration *org_kde_kwin_server_decoration, uint32_t mode)

The new decoration mode applied by the server

This event is emitted directly after the decoration is created and represents the base decoration policy by the server. E.g. a server which wants all surfaces to be client-side decorated will send Client, a server which wants server-side decoration will send Server.

The client can request a different mode through the decoration request. The server will acknowledge this by another event with the same mode. So even if a server prefers server-side decoration it's possible to force a client-side decoration.

The server may emit this event at any time. In this case the client can again request a different mode. It's the responsibility of the server to prevent a feedback loop.

Parameters

  mode | The decoration mode applied to the surface by the server.

Definition at line 238 of file org-kde-kwin-server-decoration-manager-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/org-kde-kwin-server-decoration-manager-client-protocol.h